import logging

from modules.base.config import ConfigReader


class AuraCommon:
    logger = None
    config = None

    def __init__(self, name):
        self.read_config()
        self.create_logger(name)

    def read_config(self):
        self.config = ConfigReader()
        self.config.load_config()

    def create_logger(self, name):
        lvl = self.config.get("loglevel")

        # create logger
        self.logger = logging.getLogger(name)
        self.logger.setLevel(lvl)

        fh = logging.FileHandler(self.config.get("logdir") + "/aura.log")
        fh.setLevel(lvl)

        ch = logging.StreamHandler()
        ch.setLevel(lvl)

        formatter = logging.Formatter("%(asctime)s:%(name)s:%(levelname)s - %(message)s - [%(filename)s:%(lineno)s-%(funcName)s()]")
        fh.setFormatter(formatter)
        ch.setFormatter(formatter)

        self.logger.addHandler(fh)
        self.logger.addHandler(ch)